EDIT - bug #7907

Annotations in Reference page do not respect the annotation settings
11/14/2018 11:13 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

... habe gerade gesehen, dass im Production Portal unsere internal notes angezeigt werden.

https://www.phycobank.org/cdm_dataportal/reference/400a1bcb-8c3-43e4-833e-3b8d25a7ed25

Das kommt aus den internal notes: "Olszyriski new, Zelazna-Wieczorek new"

Die editorial notes kdnnen zwar hier deaktiviert werden: https://www.phycobank.org/admin/config/cdm_dataportal/settings/layout
aber offen bar funktioniert hier was nicht. Deaktivieren der editorial Annotations hat keinen Einfluss auf die Reference seite
TODO

1. fix this bug

2. remove from user defined styles:

#content .annotations {
display :none;

}

Related issues:
Related to EDIT - bug #8068: Selenium test for Reference page New

Associated revisions

Revision 73701417 - 01/09/2019 12:29 PM - Andreas Kohlbecker

fix #7907 centalizing annotation filtering:

- annotation type filter settings are general

- render hint for reference page

- cdm_fetch_visible_annotations() implemented

History

#1 - 01/09/2019 10:43 AM - Andreas Kohlbecker

- Description updated

#2 - 01/09/2019 12:29 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|7370f4f72901075e33e80a29d6d079561332b2b3.

#3 - 01/09/2019 12:29 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

done!

#4 - 01/29/2019 03:47 PM - Wolf-Henning Kusber

- Status changed from Resolved to Closed
https://www.phycobank.org/cdm_dataportal/reference/400a1bcb-f8c3-43e4-833e-3b8d25a7ed25
https://www.phycobank.org/admin/config/cdm_dataportal/settings/layout
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/7370f4f72901075e33e80a29d6d079561332b2b3

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

This solved a problem with internal data, thanks for this.

#5 - 01/31/2019 01:51 PM - Andreas Kohlbecker

- Related to feature request #8048: Selenium test for Registration page added

#6 - 02/06/2019 02:51 PM - Andreas Kohlbecker

- Related to deleted (feature request #8048: Selenium test for Registration page )

#7 - 02/06/2019 02:53 PM - Andreas Kohlbecker
- Related to bug #8068: Selenium test for Reference page added
